# SPDX-License-Identifier: BSD-3-Clause
# Copyright (c) 2021, The Wownero Project.

"""
wowlet-ws-client
-------------
Sample websocket client for communicating with
wowlet running in "background mode" via websockets.
"""
from setuptools import setup

with open('README.md') as f:
    long_description = f.read()


INSTALL_REQUIRES = open("requirements.txt").read().splitlines()

setup(
    name='wowlet_ws_client',
    version='0.0.1',
    url='https://git.wownero.com/wownero/wowlet-ws-client',
    author='dsc',
    author_email='dsc@xmr.pm',
    description='Sample websocket client for communicating with wowlet running in "background mode" via websockets.',
    long_description=long_description,
    long_description_content_type='text/markdown',
    packages=['wowlet_ws_client'],
    zip_safe=False,
    include_package_data=True,
    platforms='any',
    install_requires=INSTALL_REQUIRES,
    tests_require=INSTALL_REQUIRES + ["asynctest", "hypothesis", "pytest", "pytest-asyncio"],
    extras_require={"dotenv": ["python-dotenv"]},
    classifiers=[
        'Environment :: Web Environment',
        'Intended Audience :: Developers',
        'Operating System :: OS Independent',
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
        'Topic :: Software Development :: Libraries :: Python Modules'
    ]
)
